#include "stdio.h"
#include "math.h"
#include "C_floss.c"
#include "C_absv.c"

float C_aproxQ(int p1,int p2, float *mu_col, float beta, float CV, int N, int M, int T, float *I, float *d, float *X){
    float K=(1-beta)* mu_col[p2];
    int i;
    float mu=0;
    for (i=p1; i<=p2; i++){
        mu += mu_col[i];
    }
    float sig=0;
    sig=CV*mu;
    float q1 = mu;
    float q2= mu + sig;
    float eps = 1e-5;
    float error = eps + 1;

    float f1=C_floss(N,q1,p1,p2, M,T, I,d,X);
    float f2=C_floss(N,q2,p1,p2, M,T, I,d,X);

    float q;
    do{

        q= q1 + (K-f1)*(q2-q1)/(f2-f1);
        f1=f2;
        f2=C_floss(N,q,p1,p2, M,T, I,d,X);
        q1=q2;
        q2=q;
        error=C_absv(q2-q1);
    }while(error>eps);
    return q;
}


